Subject: [PATCH] ARM: dts: AM35xx: fix system control module clocks

From: [email-masked] (Tero Kristo)
Date: Tue, 2 Jun 2015 10:15:25 +0300

On 06/02/2015 12:26 AM, Paul Walmsley wrote:
> On Mon, 1 Jun 2015, Tony Lindgren wrote:
>
>> * Tony Lindgren <[email-masked]> [150601 11:06]:
>>> * Paul Walmsley <[email-masked]> [150601 10:45]:
>>>>
>>>> See for example the "Build warnings from toolchain", "Kernel warnings
>>>> during boot to userspace", "Kernel warnings during PM test", and "Obsolete
>>>> Kconfig symbols" sections here:
>>>>
>>>> http://www.pwsan.com/omap/testlogs/test_v4.1-rc6/20150601012139/README.txt
>>>
>>> OK somehow 3517evm is listed under "skip" there?
>>
>> Oh I see you have two 3517 devices there, never mind.
>>
>> Hmm now I'm wondering what the panda es warnings listed there are..
>
> http://www.pwsan.com/omap/testlogs/test_v4.1-rc6/20150601012139/boot/4430es2panda/4430es2panda_log.txt
>
> Looked to me like an OMAP4430 ES2.2 bug.  I recall discussing it with
> someone with an ES2.3 Pandaboard and they said it didn't show up.  So I
> asked TI at the time if there was an erratum for it; apparently not.  So I
> think we may need to add in another hardware bug workaround flag to the
> OMAP integration code...
>
> - Paul
>

Don't know about pandaboard ES2.2, but this doesn't show up on SDP4430 
es2.3 at least. Do you know which clockdomain is in question there? It 
could just be a race someplace in the usecounting system that shows up 
on that specific SoC.

-Tero